/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 获取个人中心的消息列表 POST /api/Message/GetMessageListForPersonal */
export async function getMessageListForPersonal(
  body: API.GetMessageInput,
  options?: API.RequestConfig
) {
  return request<API.MessageInfoPageOutput>('/api/Message/GetMessageListForPersonal', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取我的新增关注消息分页列表 POST /api/Message/GetMyAddFollowMessagePage */
export async function getMyAddFollowMessagePage(body: API.PageInput, options?: API.RequestConfig) {
  return request<API.AddFollowMessageInfoPageOutput>('/api/Message/GetMyAddFollowMessagePage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取我的基础会话 POST /api/Message/GetMyBaseChatList */
export async function getMyBaseChatList(options?: API.RequestConfig) {
  return request<API.MassgeChatOutput[]>('/api/Message/GetMyBaseChatList', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 获取我的会话消息分页列表 POST /api/Message/GetMyChatMessagePage */
export async function getMyChatMessagePage(
  body: API.QueryMyMessageInput,
  options?: API.RequestConfig
) {
  return request<API.UserMessageInfoPageOutput>('/api/Message/GetMyChatMessagePage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取我的好友消息会话分页列表 POST /api/Message/GetMyFriendChatPage */
export async function getMyFriendChatPage(body: API.GetMessageInput, options?: API.RequestConfig) {
  return request<API.MassgeChatOutputPageOutput>('/api/Message/GetMyFriendChatPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取我的好友消息分页列表 POST /api/Message/GetMyFriendMessagePage */
export async function getMyFriendMessagePage(
  body: API.QueryMyMessageInput,
  options?: API.RequestConfig
) {
  return request<API.UserMessageInfoPageOutput>('/api/Message/GetMyFriendMessagePage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取我的赞和收藏及新增关注的消息总数 POST /api/Message/GetMyLikeFavoriteAddFollowMessageCount */
export async function getMyLikeFavoriteAddFollowMessageCount(options?: API.RequestConfig) {
  return request<API.MyLikeFavoriteAddFollowMessageCountOutput>(
    '/api/Message/GetMyLikeFavoriteAddFollowMessageCount',
    {
      method: 'POST',
      ...(options || {}),
    }
  );
}

/** 获取我的点赞收藏消息分页列表 POST /api/Message/GetMyLikeFavoriteMessagePage */
export async function getMyLikeFavoriteMessagePage(
  body: API.PageInput,
  options?: API.RequestConfig
) {
  return request<API.LikeFavoriteMessageInfoPageOutput>(
    '/api/Message/GetMyLikeFavoriteMessagePage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取我的消息总数 GET /api/Message/GetMyMessageCount */
export async function getMyMessageCount(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetMyMessageCountParams,
  options?: API.RequestConfig
) {
  return request<API.MyMessageCountOutput>('/api/Message/GetMyMessageCount', {
    method: 'GET',
    params: {
      // isContainLikeFavoriteAddFollowMessageCount has a default value: true
      isContainLikeFavoriteAddFollowMessageCount: 'true',
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取未读消息数 GET /api/Message/GetMyMessageTotal */
export async function getMyMessageTotal(options?: API.RequestConfig) {
  return request<number>('/api/Message/GetMyMessageTotal', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取我的系统消息分页列表 POST /api/Message/GetMySystemMessagePage */
export async function getMySystemMessagePage(
  body: API.GetMessageInput,
  options?: API.RequestConfig
) {
  return request<API.MessageInfoPageOutput>('/api/Message/GetMySystemMessagePage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取我的陌生人消息会话分页列表 POST /api/Message/GetMyUnfamiliarChatPage */
export async function getMyUnfamiliarChatPage(
  body: API.GetMessageInput,
  options?: API.RequestConfig
) {
  return request<API.MassgeChatOutputPageOutput>('/api/Message/GetMyUnfamiliarChatPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取我的陌生人消息分页列表 POST /api/Message/GetMyUnfamiliarMessagePage */
export async function getMyUnfamiliarMessagePage(
  body: API.QueryMyMessageInput,
  options?: API.RequestConfig
) {
  return request<API.UserMessageInfoPageOutput>('/api/Message/GetMyUnfamiliarMessagePage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询钱包 交易相关消息 POST /api/Message/GetWalletMessageList */
export async function getWalletMessageList(body: API.GetMessageInput, options?: API.RequestConfig) {
  return request<API.MessageInfoPageOutput>('/api/Message/GetWalletMessageList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/Message/SendMessage */
export async function sendMessage(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIsendMessageParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/Message/SendMessage', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 发送用户消息 POST /api/Message/SendUserMessage */
export async function sendUserMessage(
  body: API.UserTextChatMessageInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Message/SendUserMessage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新消息全部已读 GET /api/Message/SetAllMessageIsRead */
export async function setAllMessageIsRead(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIsetAllMessageIsReadParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Message/SetAllMessageIsRead', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据chatType设置所有消息为已读 POST /api/Message/SetAllMessageIsReadByChatType */
export async function setAllMessageIsReadByChatType(
  body: API.MessageChatTypeEnum,
  options?: API.RequestConfig
) {
  return request<number>('/api/Message/SetAllMessageIsReadByChatType', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新消息的阅读状态 GET /api/Message/SetMessageIsRead */
export async function setMessageIsRead(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIsetMessageIsReadParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Message/SetMessageIsRead', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
